org.eclipse.wst.jsdt.chromium.debug.core.model

## Class Variable.Real

- java.lang.Object
- - PlatformObject
  - - org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl
    - - org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl.WithConnectedBase
      - - org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl.WithSuspendedBase
        - - org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl.WithEvaluateBase
          - - org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl.WithEvaluate
            - - org.eclipse.wst.jsdt.chromium.debug.core.model.Variable
              - - org.eclipse.wst.jsdt.chromium.debug.core.model.Variable.Real

Enclosing class:
  Variable

    public static class Variable.Real
    extends Variable

Represents a real variable -- wraps `JsVariable`.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.wst.jsdt.chromium.debug.core.model.Variable

`Variable.Real`

### Nested classes/interfaces inherited from class org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl

`DebugElementImpl.WithConnected, DebugElementImpl.WithConnectedBase, DebugElementImpl.WithEvaluate, DebugElementImpl.WithEvaluateBase, DebugElementImpl.WithSuspended, DebugElementImpl.WithSuspendedBase`

### Method Summary

All Methods Instance Methods Concrete Methods
`Variable.Real` `asRealVariable()`
`java.lang.String` `createHolderWatchExpression()`
`java.lang.String` `createWatchExpression()`
`JsVariable` `getJsVariable()`
`java.lang.String` `getName()`
`java.lang.String` `getReferenceTypeName()`
`ValueBase` `getValue()`
`void` `setValue(IValue value)`
`boolean` `supportsValueModification()`
`boolean` `verifyValue(IValue value)`

### Methods inherited from class org.eclipse.wst.jsdt.chromium.debug.core.model.Variable

`forEvaluateExpression, forException, forFunctionScopes, forObjectScope, forRealValue, getAdapter, hasValueChanged`

### Methods inherited from class org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl.WithEvaluate

`getEvaluateContext`

### Methods inherited from class org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl.WithEvaluateBase

`getSuspendedState`

### Methods inherited from class org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl.WithSuspendedBase

`getConnectedData`

### Methods inherited from class org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl.WithConnectedBase

`getDebugTarget`

### Methods inherited from class org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl

`getLaunch, getModelIdentifier`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getName

    public java.lang.String getName()

Specified by:
  `getName` in class `Variable`

#### getValue

    public ValueBase getValue()

Specified by:
  `getValue` in class `Variable`

#### getReferenceTypeName

    public java.lang.String getReferenceTypeName()

Specified by:
  `getReferenceTypeName` in class `Variable`

#### asRealVariable

    public Variable.Real asRealVariable()

Specified by:
  `asRealVariable` in class `Variable`

#### getJsVariable

    public JsVariable getJsVariable()

#### verifyValue

    public boolean verifyValue(IValue value)
                        throws DebugException

Throws:
  `DebugException`

#### setValue

    public void setValue(IValue value)
                  throws DebugException

Throws:
  `DebugException`

#### supportsValueModification

    public boolean supportsValueModification()

#### createWatchExpression

    public java.lang.String createWatchExpression()

Specified by:
  `createWatchExpression` in class `Variable`
Returns:
  expression or null

#### createHolderWatchExpression

    public java.lang.String createHolderWatchExpression()